Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class KeyAgreeRecipientInfo

    java.lang.Object
      |
      +--org.bouncycastle.asn1.cms.KeyAgreeRecipientInfo

All Implemented Interfaces:
  DEREncodable

public class KeyAgreeRecipientInfo
extends java.lang.Object
implements DEREncodable

Constructor Summary
`KeyAgreeRecipientInfo(ASN1Sequence seq)`
`KeyAgreeRecipientInfo(OriginatorIdentifierOrKey originator, ASN1OctetString ukm, AlgorithmIdentifier keyEncryptionAlgorithm, ASN1Sequence recipientEncryptedKeys)`

Method Summary
`DERObject` | `getDERObject()` KeyAgreeRecipientInfo ::= SEQUENCE { version CMSVersion, -- always set to 3 originator [0] EXPLICIT OriginatorIdentifierOrKey, ukm [1] EXPLICIT UserKeyingMaterial OPTIONAL, keyEncryptionAlgorithm KeyEncryptionAlgorithmIdentifier, recipientEncryptedKeys RecipientEncryptedKeys }
`static KeyAgreeRecipientInfo` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return a KeyAgreeRecipientInfo object from a tagged object.
`static KeyAgreeRecipientInfo` | `getInstance(java.lang.Object obj)` return a KeyAgreeRecipientInfo object from the given object.
`AlgorithmIdentifier` | `getKeyEncryptionAlgorithm()`
`OriginatorIdentifierOrKey` | `getOriginator()`
`ASN1Sequence` | `getRecipientEncryptedKeys()`
`ASN1OctetString` | `getUserKeyingMaterial()`
`DERInteger` | `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyAgreeRecipientInfo

    public KeyAgreeRecipientInfo(OriginatorIdentifierOrKey originator,
                                 ASN1OctetString ukm,
                                 AlgorithmIdentifier keyEncryptionAlgorithm,
                                 ASN1Sequence recipientEncryptedKeys)

### KeyAgreeRecipientInfo

    public KeyAgreeRecipientInfo(ASN1Sequence seq)

Method Detail

### getInstance

    public static KeyAgreeRecipientInfo getInstance(ASN1TaggedObject obj,
                                                    boolean explicit)

  return a KeyAgreeRecipientInfo object from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want.
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

### getInstance

    public static KeyAgreeRecipientInfo getInstance(java.lang.Object obj)

  return a KeyAgreeRecipientInfo object from the given object.

  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getVersion

    public DERInteger getVersion()

### getOriginator

    public OriginatorIdentifierOrKey getOriginator()

### getUserKeyingMaterial

    public ASN1OctetString getUserKeyingMaterial()

### getKeyEncryptionAlgorithm

    public AlgorithmIdentifier getKeyEncryptionAlgorithm()

### getRecipientEncryptedKeys

    public ASN1Sequence getRecipientEncryptedKeys()

### getDERObject

    public DERObject getDERObject()

       KeyAgreeRecipientInfo ::= SEQUENCE {
       	version CMSVersion,  -- always set to 3
       	originator [0] EXPLICIT OriginatorIdentifierOrKey,
       	ukm [1] EXPLICIT UserKeyingMaterial OPTIONAL,
       	keyEncryptionAlgorithm KeyEncryptionAlgorithmIdentifier,
       	recipientEncryptedKeys RecipientEncryptedKeys
       }

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD